Debian Bug report logs - #400446
libXfixes: Unlocks the Display without having it locked

version graph

Package: libxfixes3; Maintainer for libxfixes3 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxfixes3 is src:libxfixes.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 26 Nov 2006 10:48:02 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version libxfixes/1:4.0.1-4

Fixed in version libxfixes/1:4.0.1-5

Done: Jamey Sharp <sharpone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400446; Package libxfixes3. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: submit@bugs.debian.org
Subject: libXfixes: Unlocks the Display without having it locked
Date: Sun, 26 Nov 2006 02:14:04 -0800
[Message part 1 (text/plain, inline)]
Package: libxfixes3
Version: 1:4.0.1-4
Severity: important
Tags: upstream fixed-upstream patch

libXfixes calls UnlockDisplay without calling LockDisplay.  This causes a
locking correctness assertion failure with libX11 1.1 and Xlib/XCB in
experimental, and will become RC after the etch release when libX11 1.1 enters
unstable.  Patch from upstream Git repository:

http://gitweb.freedesktop.org/?p=xorg/lib/libXfixes.git;a=commitdiff_plain;h=9dc7945eaa9216bf7b0056e815fba5bf8b5ded07

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 400446-close@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: 400446-close@bugs.debian.org
Subject: Bug#400446: fixed in libxfixes 1:4.0.1-5
Date: Tue, 28 Nov 2006 01:02:16 +0000
Source: libxfixes
Source-Version: 1:4.0.1-5

We believe that the bug you reported is fixed in the latest version of
libxfixes, which is due to be installed in the Debian FTP archive:

libxfixes-dev_4.0.1-5_i386.deb
  to pool/main/libx/libxfixes/libxfixes-dev_4.0.1-5_i386.deb
libxfixes3-dbg_4.0.1-5_i386.deb
  to pool/main/libx/libxfixes/libxfixes3-dbg_4.0.1-5_i386.deb
libxfixes3_4.0.1-5_i386.deb
  to pool/main/libx/libxfixes/libxfixes3_4.0.1-5_i386.deb
libxfixes_4.0.1-5.diff.gz
  to pool/main/libx/libxfixes/libxfixes_4.0.1-5.diff.gz
libxfixes_4.0.1-5.dsc
  to pool/main/libx/libxfixes/libxfixes_4.0.1-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400446@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamey Sharp <sharpone@debian.org> (supplier of updated libxfixes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 15:19:42 -0800
Source: libxfixes
Binary: libxfixes3 libxfixes3-dbg libxfixes-dev
Architecture: source i386
Version: 1:4.0.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
Description: 
 libxfixes-dev - X11 miscellaneous 'fixes' extension library (development headers)
 libxfixes3 - X11 miscellaneous 'fixes' extension library
 libxfixes3-dbg - X11 miscellaneous 'fixes' extension library (debug package)
Closes: 400446
Changes: 
 libxfixes (1:4.0.1-5) unstable; urgency=low
 .
   * libXfixes: Unlocks the Display without having it locked (Closes:
     #400446)
   * Add Josh and myself to Uploaders.
Files: 
 6387d429629c48cd0458f964dc1afc5b 932 x11 optional libxfixes_4.0.1-5.dsc
 f1b613b1d91e467e61833c49197eb873 18092 x11 optional libxfixes_4.0.1-5.diff.gz
 628732dc1ac488de60273935cb37be65 9304 x11 optional libxfixes3_4.0.1-5_i386.deb
 9f96b606853109956b3d7d49932329c9 44330 x11 extra libxfixes3-dbg_4.0.1-5_i386.deb
 15c30b9f9ed091d4e6088fb8814964ff 11804 x11 optional libxfixes-dev_4.0.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFa3Zbp1aplQ4I9mURAlmdAJ9QBqmDZdH1QmIWBUjX4D8TbOv7AACfSbqw
AUtiBiTbQXDbvaUv5d1l4d4=
=QFMI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:46:42 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:24:47 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:24:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:24:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:16:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.